networks:
  web:
    external: true

services:
  web:
    image: jitsi/web
    restart: unless-stopped
    volumes:
      - ${CHATONS_ROOT_DIR:-/srv/chatons}/${CHATONS_SERVICE:-jitsi}/web:/config
      - ${CHATONS_ROOT_DIR:-/srv/chatons}/${CHATONS_SERVICE:-jitsi}/transcripts:/usr/share/jitsi-meet/transcripts
    env_file:
      - .env
    environment:
      - PUBLIC_URL=${PROTOCOL:-https}://${CHATONS_SERVICE:-jitsi}.${CHATONS_DOMAIN:-localhost}
    networks:
      web:
      default:
    labels:
      traefik.enable: "true"
      traefik.http.routers.jitsi.rule: "Host(`${CHATONS_SERVICE:-jitsi}.${CHATONS_DOMAIN:-localhost}`)"

  # XMPP server
  xmpp:
    image: jitsi/prosody
    restart: unless-stopped
    expose:
      - '5222'
      - '5347'
      - '5280'
    volumes:
      - ${CHATONS_ROOT_DIR:-/srv/chatons}/${CHATONS_SERVICE:-jitsi}/prosody:/config
    env_file:
      - .env

  # Focus component
  jicofo:
    image: jitsi/jicofo
    restart: unless-stopped
    volumes:
      - ${CHATONS_ROOT_DIR:-/srv/chatons}/${CHATONS_SERVICE:-jitsi}/jicofo:/config
    env_file:
      - .env
    depends_on:
      - xmpp

  # Video bridge
  jvb:
    image: jitsi/jvb
    restart: unless-stopped
    ports:
      - '${JVB_PORT}:${JVB_PORT}/udp'
      - '${JVB_TCP_MAPPED_PORT}:${JVB_TCP_PORT}'
    volumes:
      - ${CHATONS_ROOT_DIR:-/srv/chatons}/${CHATONS_SERVICE:-jitsi}/jvb:/config
    env_file:
      - .env
    depends_on:
      - xmpp
